<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pr_recruit_admin.php
| pr_Recruitment Panel
| Author: PrugnatoR
| URL: http://www.prugnator.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("PRWR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

//Locale includieren
if (file_exists(INFUSIONS."recruitment_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recruitment_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recruitment_panel/locale/German.php";
}

if (isset($_POST['save'])){

opentable($locale['pr_w23']);
	$result2 = dbquery("UPDATE ".DB_PREFIX."pr_classes SET pr_status='".$_POST['status']."' WHERE pr_id='".$_POST['id']."'");
	if ($result2){
		echo "<center><font color='green'>".$locale['pr_w40']."</font>";
	}else{
		echo "<center><font color='red'>".$locale['pr_w41']."</font>";
	}
closetable();

}elseif(isset($_POST['img_upload'])){
		
		$speicherpfad="".INFUSIONS."recruitment_panel/images/"; // Where the Images will be save

		opentable($locale['pr_w23']);
		$target_path= $speicherpfad.$_FILES['icon']['name'];
			
		if(!file_exists($target_path)){
		if(move_uploaded_file($_FILES['icon']['tmp_name'], $target_path)){
		echo "<font color='green'>Die Datei <b>".basename( $_FILES['icon']['name'])."</b> wurde erfolgreich hochgeladen<br /><a href='".$target_path."'><b>Datei &ouml;ffnen</b></a></font>";}
		else{echo "<font color='red'>Fehler beim Hochladen...</font>";}} 
		else{echo "<font color='red'>Das Bild <b>".basename( $_FILES['icon']['name'])."</b> existiert bereits.<br />Bitte &auml;nder den Namen des Bilder!!!<br /><br>So sieht das Bild zur Zeit aus:<br><img src='".$target_path."' style=width:100%></font>";}
		closetable();
	
	
}

opentable($locale['pr_w25']);
	echo "<center><form name='navi' method='post' action='".FUSION_SELF.$aidlink."'>
		<input type='submit' name='start' value='".$locale['pr_w30']."' class='button'>
		<input type='submit' name='classes' value='".$locale['pr_w26']."' class='button'>
		<input type='submit' name='images' value='".$locale['pr_w28']."' class='button'>
	</form><br />";

	if (file_exists(INFUSIONS."pr_bewerbung/bewerbung.php")) {
		echo "<a href='".INFUSIONS."pr_bewerbung/pr_bewerbungs_admin.php".$aidlink."'>".$locale['pr_w49']."</a></center>";
	}else{
		echo "</center>";
	}
closetable();

// Abfrage Klassen
$result = dbquery("SELECT * FROM ".DB_PREFIX."pr_classes ORDER BY pr_name");

// Klassenverwaltung
if (isset($_POST['classes'])){

opentable($locale['pr_w26']);

echo "[<a href='".INFUSIONS."recruitment_panel/add.php".$aidlink."'>".$locale['pr_w46']."</a>]<br>";

echo "<table width='100%'>";
echo "<tr valign='center'>
		<td><b>".$locale['pr_w36']."</b></td>
		<td algin='right'><b>".$locale['pr_w45']."</b></td>
	</tr>";

while($data = dbarray($result)){

echo "<tr valign='center'>
		<td><img src='".INFUSIONS."recruitment_panel/images/".$data['pr_img']."'> ".$data['pr_name']."</td>
		<td>
		<form name='status' method='post' action='".INFUSIONS."recruitment_panel/edit.php".$aidlink."'>
		<input type='hidden' name='id' value='".$data['pr_id']."'>
		<input type='submit' name='edit' value='".$locale['pr_w47']."' class='button'>
		<input type='submit' name='del' value='".$locale['pr_w48']."' class='button'>
		</form>
		</td>
	</tr>";

}

echo "</table>";

// Image Upload
}elseif (isset($_POST['images'])){
	opentable($locale['pr_w27']);
	echo "&nbsp;infusions/recruitment_panel/images&nbsp;&nbsp;";
		if(@is_writable("images")){
			echo "<font color='green'><b> ".$locale['pr_w42']."</b></font>";
		}else{
			echo "<font color='red'><b> ".$locale['pr_w43']."</b></font>";
			$f=1;
		}
		if (isset($f)){
			echo "<br /><br />".$locale['pr_w44'];
		}
	
	if (!isset($f)){
	closetable();
	opentable($locale['pr_w28']);
	echo "<form enctype='multipart/form-data' method='post' name='img_upload' action='".FUSION_SELF.$aidlink."'>
		<table align='center'>
			<tr>
				<td width='25%'>".$locale['pr_w38'].":</td>
				<td width='50%'><input type='file' name='icon' class='textbox'></td>
			</tr>
			<tr>
				<td colspan='2' width='100%'><input type='submit' class='button' name='img_upload' value='".$locale['pr_w35']."'></td>
			</tr>";
	echo "</table></form>";
	}

// Status Setup
}else{
opentable($locale['pr_w29']);
echo "<table width='100%'>";
echo "<tr valign='center'>
		<td><b>".$locale['pr_w36']."</b></td>
		<td algin='right'><b>".$locale['pr_w37']."</b></td>
	</tr>";

while($data = dbarray($result)){

echo "<tr valign='center'>
		<td><img src='".INFUSIONS."recruitment_panel/images/".$data['pr_img']."'> ".$data['pr_name']."</td>
		<td>
		<form name='status' method='post' action='".FUSION_SELF.$aidlink."'>
		<select name='status' class='textbox'>";
				echo "<option value='1'".($data['pr_status'] == '1' ? ' selected' : '').">".$locale['pr_w31']." </option>";
				echo "<option value='2'".($data['pr_status'] == "2" ? " selected" : "").">".$locale['pr_w32']."</option>";
				echo "<option value='3'".($data['pr_status'] == "3" ? " selected" : "").">".$locale['pr_w33']."</option>";
				echo "<option value='4'".($data['pr_status'] == "4" ? " selected" : "").">".$locale['pr_w34']."</option>";
		echo "</select>
		<input type='hidden' name='id' value='".$data['pr_id']."'>
		<input type='submit' name='save' value='".$locale['pr_w35']."' class='button'>
		</form>
		</td>
	</tr>";

}

echo "</table>";
}

/*-------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
echo "<div align='right'>Code &copy; by <a href='http://www.prugnator.de'>PrugnatoR</a></div>";
closetable();


require_once THEMES."templates/footer.php";
?>